=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/\.asc/ \
  https://github.com/pali/libopenaptx/releases/latest .*/libopenaptx-(\d\S+)\.tar\.gz
